Skip to main content
GET
Get featured collection products

Authorizations

X-Api-Key
string
header
required

Company Level Authentication

Include your API key in the X-Api-Key header for every request:

Headers

snappy-account-id
string

Must be provided to retrieve swag products.

Minimum string length: 1
Example:

"acc123456"

Path Parameters

collectionId
string
required

Collection identifier.

Pattern: ^[A-Za-z0-9]{8,}$
Example:

"abcdef12"

Query Parameters

filter[price][gte]
number
required

Inclusive minimum budget for featured products.

Required range: x >= 0
Example:

70

filter[price][lte]
number
required

Inclusive maximum budget for featured products.

Required range: x >= 0
Example:

100

location
string
default:US

ISO 3166-1 alpha-2 country code.

Pattern: ^[A-Z]{2}$
Example:

"US"

include
enum<string>[]

Related entities to include.

Related entities to include.

Available options:
brand,
tags
Example:
fields
enum<string>[]

Computed or expanded product fields.

Computed or expanded fields for featured collection products.

Available options:
selectedOrFirstAvailableVariant,
priceRange,
variantsCount
Example:
seed
string

Seed used to produce deterministic featured product selection.

Example:

"recipient-123"

Response

Featured products selected for the requested budget.

data
object[]
required

Featured products selected for the requested budget.

Last modified on October 26, 2026